Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.commons.compress.archivers.dump
Enum DumpArchiveConstants.COMPRESSION_TYPE

    java.lang.Object
      java.lang.Enum<DumpArchiveConstants.COMPRESSION_TYPE>
          org.apache.commons.compress.archivers.dump.DumpArchiveConstants.COMPRESSION_TYPE

All Implemented Interfaces:
  Serializable, Comparable<DumpArchiveConstants.COMPRESSION_TYPE>

Enclosing class:
  DumpArchiveConstants

    public static enum DumpArchiveConstants.COMPRESSION_TYPE

extends Enum<DumpArchiveConstants.COMPRESSION_TYPE>

The type of compression.

Enum Constant Summary
`BZLIB`
`LZO`
`ZLIB`

Method Summary
`static DumpArchiveConstants.COMPRESSION_TYPE` | `find(int code)`
`static DumpArchiveConstants.COMPRESSION_TYPE` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DumpArchiveConstants.COMPRESSION_TYPE[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ZLIB

    public static final DumpArchiveConstants.COMPRESSION_TYPE ZLIB

### BZLIB

    public static final DumpArchiveConstants.COMPRESSION_TYPE BZLIB

### LZO

    public static final DumpArchiveConstants.COMPRESSION_TYPE LZO

Method Detail

### values

    public static DumpArchiveConstants.COMPRESSION_TYPE[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DumpArchiveConstants.COMPRESSION_TYPE c : DumpArchiveConstants.COMPRESSION_TYPE.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DumpArchiveConstants.COMPRESSION_TYPE valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### find

    public static DumpArchiveConstants.COMPRESSION_TYPE find(int code)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 The Apache Software Foundation. All Rights Reserved.